---
deprecated: true
search:
  tags:
    - Videos
    - GET
seo:
  description: >-
    Retrieves all videos for an app with pagination support. Supports… Reference
    for the GET /api/v1/{team_slug}/{app_slug}/videos endpoint in the Management
    API.
sidebar:
  label: List videos
  badge: GET
title: List videos
type: openapi-operation
---
Retrieves all videos for an app with pagination support. Supports sorting by created_at, updated_at, or title in ascending or descending order.
Deprecated: use GET /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/videos instead.

`GET /api/v1/{team_slug}/{app_slug}/videos`

**Deprecated.**

**Responses**

- `200` — List of app videos
- `401` — Unauthorized access

Response example, 200:

```json
{
  "data": [
    {
      "attributes": [
        {
          "created_at": "string",
          "description": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "template_name": "string",
          "translatable": true,
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string",
          "values": {
            "property1": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            },
            "property2": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            }
          }
        }
      ],
      "description": "string",
      "folder_id": "string",
      "id": "string",
      "path": "string",
      "public": true,
      "status": "string",
      "title": "string",
      "translations": {
        "description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "title": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "variants": [
        {
          "format": "string",
          "height": 0,
          "url": "string",
          "width": 0
        }
      ]
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
